uuid: 105cb899-06f5-475e-ba98-02788a3dec5f
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_revision_data_sites
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Node revisions (Data Sites)'
source:
  plugin: d7_node_revision
  node_type: data_sites
process:
  nid:
    -
      plugin: get
      source: nid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  comment_node_data_sites/0/status:
    -
      plugin: get
      source: comment
  field_data_sites_tabs:
    -
      plugin: get
      source: field_data_sites_tabs
  field_data_sites_page_classes:
    -
      plugin: get
      source: field_data_sites_page_classes
destination:
  plugin: 'entity_revision:node'
  default_bundle: data_sites
migration_dependencies:
  required:
    - upgrade_d7_node_agenda
    - upgrade_d7_node_annual_report
    - upgrade_d7_node_article
    - upgrade_d7_node_author
    - upgrade_d7_node_become_a_member_slideshow
    - upgrade_d7_node_blog
    - upgrade_d7_node_conference_proceeding
    - upgrade_d7_node_cvent_event
    - upgrade_d7_node_cvent_guest
    - upgrade_d7_node_data_sites
    - upgrade_d7_node_donors
    - upgrade_d7_node_event
    - upgrade_d7_node_event_investor
    - upgrade_d7_node_event_session
    - upgrade_d7_node_event_vendor
    - upgrade_d7_node_finance_gap
    - upgrade_d7_node_forum
    - upgrade_d7_node_industry_council_member
    - upgrade_d7_node_member
    - upgrade_d7_node_members_spotlight
    - upgrade_d7_node_member_resource
    - upgrade_d7_node_page
    - upgrade_d7_node_partners
    - upgrade_d7_node_poll
    - upgrade_d7_node_post
    - upgrade_d7_node_simplenews
    - upgrade_d7_node_sme_finance_challenge
    - upgrade_d7_node_team
    - upgrade_d7_node_webform
    - upgrade_d7_node_winners
  optional: {  }
